/*
 * findBall.h
 *
 *  Created on: Nov 23, 2012
 *      Author: morpheus
 */

#ifndef FINDBALL_H_
#define FINDBALL_H_

#include <iostream>
#include <opencv2/core/core.hpp>
#include <opencv2/imgproc/imgproc.hpp>
#include <opencv2/legacy/compat.hpp>
#include <opencv2/imgproc/imgproc_c.h>
#include <opencv/highgui.h>
#include "BlobResult.h"

class findBall {
public:
	findBall();
	findBall(IplImage *frame, IplImage *currentFg);
	bool process();
	CBlob getBlob() {return ball;};
	void setIsOnField(bool status) { isOnField = status; };
	bool getIsOnField(){return isOnField;};
	virtual ~findBall();
private:
	bool isOnField;
	void findRed();
	bool findBlob();
	IplImage *frame;
	IplImage *fg;
	IplImage *red;
	CBlob ball;
	cv::vector<cv::Point2i> history;
};

#endif /* FINDBALL_H_ */
