/*
 *  livegrabber.h
 *
 *  Author: Domenico Bloisi
 *  domenicobloisi@yahoo.com
 *  Copyright 2010
 */

#ifndef LIVEGRABBER_H_
#define LIVEGRABBER_H_

#include "grabber.h"

class LiveGrabber: public Grabber
{
	public:
		LiveGrabber(int camera_index=-1, int prev_offset=1);
		virtual ~LiveGrabber();
		virtual bool getData();
		int getWidth(){return width;};
		int getHeight(){return height;};
		virtual unsigned long getTimestamp();
		virtual unsigned long getPrevTimestamp();
		double getFps(){return fps;};
		void reset(){ };
};

#endif /*LIVEGRABBER_H_*/

